Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.commands
Class AddTaskCommand<Long>

    java.lang.Object
      org.jbpm.task.commands.TaskCommand
          org.jbpm.task.commands.AddTaskCommand<Long>

All Implemented Interfaces:
  Serializable, org.drools.command.impl.GenericCommand, Command

    public class AddTaskCommand<Long>

extends TaskCommand

Operation.Start : [ new OperationCommand().{ status = [ Status.Ready ], allowed = [ Allowed.PotentialOwner ], setNewOwnerToUser = true, newStatus = Status.InProgress }, new OperationCommand().{ status = [ Status.Reserved ], allowed = [ Allowed.Owner ], newStatus = Status.InProgress } ], *

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.task.commands.TaskCommand
`groupsIds, targetEntityId, taskId, userId`

Constructor Summary
`AddTaskCommand(Task task, ContentData data)`
`AddTaskCommand(Task task, Map<String,Object> params)`

Method Summary
`Long` | `execute(org.kie.command.Context cntxt)`
`ContentData` | `getData()`
`Map<String,Object>` | `getParams()`
`Task` | `getTask()`

Methods inherited from class org.jbpm.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddTaskCommand

    public AddTaskCommand(Task task,
                          Map<String,Object> params)

### AddTaskCommand

    public AddTaskCommand(Task task,
                          ContentData data)

Method Detail

### execute

    public Long execute(org.kie.command.Context cntxt)

### getTask

    public Task getTask()

### getParams

    public Map<String,Object> getParams()

### getData

    public ContentData getData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.